## net.i2p.stat
Class BufferedStatLog

    java.lang.Object
      net.i2p.stat.BufferedStatLog

All Implemented Interfaces:
  StatLog

public class BufferedStatLog
extends java.lang.Object
implements StatLog

Constructor Summary
`BufferedStatLog(I2PAppContext ctx)`

Method Summary
`void` `addData(java.lang.String scope, java.lang.String stat, long value, long duration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferedStatLog

    public BufferedStatLog(I2PAppContext ctx)

Method Detail

### addData

    public void addData(java.lang.String scope,
                        java.lang.String stat,
                        long value,
                        long duration)

  Specified by:
    `addData` in interface `StatLog`